Bug 1120879 - Dialogs opened with Preferences -> configure should be transient for their parents
Summary: Dialogs opened with Preferences -> configure should be transient for their pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b8f97ae21bdfa6923034c86fb20...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:57 UTC by Michael Catanzaro
Modified: 2016-12-01 00:47 UTC (History)
6 users (show)

Fixed In Version: libreport-2.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-24 02:57:14 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2014-07-17 21:57:42 UTC
Description of problem:
Click Preferences from the app menu, select a row, then click Configure. Now hit Super to go to the GNOME Shell overview. The dialog appears as its own window, and its title bar displays its title in small text, indicating that the dialog is parentless.

This can probably be fixed with gtk_window_set_transent_for()

Version-Release number of selected component:
gnome-abrt-0.3.7

Additional info:
reporter:       libreport-2.2.2
kernel:         3.15.4-200.fc20.x86_64
type:           libreport

Comment 1 Jakub Filak 2014-07-18 07:57:06 UTC
Upstream commit https://github.com/abrt/libreport/commit/b1911301e6c8cbe0ae4ea90d4e0cbb08e575e743 fixes this bug.

Comment 2 Fedora Update System 2014-08-20 08:33:50 UTC
libreport-2.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreport-2.2.3-2.fc20

Comment 3 Fedora Update System 2014-08-21 09:47:38 UTC
Package libreport-2.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.2.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9657/libreport-2.2.3-2.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-24 02:57:14 UTC
libreport-2.2.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.